Patch Business Enrollment
curl --request PATCH \
--url https://api.explorium.ai/v2/businesses/events/enrollments/{enrollment_id} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"request_context": null,
"enrollment_key": "<string>",
"webhook_id": "<string>",
"event_types": [],
"business_ids": [
"<string>"
]
}
'import requests
url = "https://api.explorium.ai/v2/businesses/events/enrollments/{enrollment_id}"
payload = {
"request_context": None,
"enrollment_key": "<string>",
"webhook_id": "<string>",
"event_types": [],
"business_ids": ["<string>"]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_context: null,
enrollment_key: '<string>',
webhook_id: '<string>',
event_types: [],
business_ids: ['<string>']
})
};
fetch('https://api.explorium.ai/v2/businesses/events/enrollments/{enrollment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enrollment_key": "<string>",
"enrollment_id": "<string>",
"webhook_id": "<string>",
"status": "active",
"response_context": {
"correlation_id": "<string>",
"request_status": "success",
"time_taken_in_seconds": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Businesses
Update business enrollment
PATCH
/
v2
/
businesses
/
events
/
enrollments
/
{enrollment_id}
Patch Business Enrollment
Updates any mutable field —
webhook_id, enrollment_key, event_types, or the entity ID list. Re-pointing a paused enrollment to an active webhook reactivates it without re-enrolling entities.Authorizations
APIKeyHeaderAPIKeyHeader
Path Parameters
Body
application/json
Minimum string length:
4Required array length:
1 - 1000 elementsAn enumeration.
Available options:
award, closing_office, company_award, cost_cutting, decrease_in_all_departments, decrease_in_customer_service_department, decrease_in_engineering_department, decrease_in_marketing_department, decrease_in_operations_department, decrease_in_sales_department, executive_joined_company, funding_round, hiring_in_creative_department, hiring_in_education_department, hiring_in_engineering_department, hiring_in_finance_department, hiring_in_health_department, hiring_in_human_resources_department, hiring_in_legal_department, hiring_in_marketing_department, hiring_in_operations_department, hiring_in_professional_service_department, hiring_in_sales_department, hiring_in_support_department, hiring_in_trade_department, hiring_in_unknown_department, increase_in_all_departments, increase_in_customer_service_department, increase_in_engineering_department, increase_in_marketing_department, increase_in_operations_department, increase_in_sales_department, ipo_announcement, lawsuits_and_legal_issues, merger_and_acquisitions, new_funding_round, new_investment, new_office, new_partnership, new_product, outages_and_security_breaches, prospect_changed_company, prospect_changed_role, prospect_job_start_anniversary Required array length:
1 - 1000 elementsPattern:
^[a-f0-9]{32}$Response
Successful Response
This is base response model for all responses in partner service.
Was this page helpful?